from setuptools import setup, find_packages
 
 
with open('README') as f:
    long_description = ''.join(f.readlines())
 
 
setup(
    entry_points={
        'console_scripts': [
            'ultimate_twitter_wall = ultimate_twitter_wall.ultimate_twitter_wall:main',
        ],
    },
    install_requires=['Flask', 'click>=6', 'requests', 'configparser', 'markupsafe'],
    name='ultimate_twitter_wall',
    version='0.3.3',
    description='Display the newest tweets on the wall.',
    long_description=long_description,
    author='Pavel Verner',
    author_email='vernepa1@fit.cvut.cz',
    keywords='twitter,hashtags,wall',
    license='Public Domain',
    url='https://github.com/vernepa1/ultimate_twitter_wall',
    packages=find_packages(),
    classifiers=[
        'Natural Language :: English',
        'Intended Audience :: Developers',
        'License :: Public Domain',
        'Operating System :: Microsoft',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: Microsoft :: Windows :: Windows 7',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development :: Libraries',
        ],
)